<Graph Description="" Group="CustomPatrol">
 <Nodes>
  <Node Id="1" Class="AI:ActionStart" pos="15580,6360,0" flags="1"/>
  <Node Id="2" Class="AI:ActionEnd" pos="16860,6360,0" flags="1">
   <Inputs />
  </Node>
  <Node Id="4" Class="AI:AIFormation" pos="16620,6530,0" flags="1" GraphEntity="0">
   <Inputs entityId="0" fName="row2"/>
  </Node>
  <Node Id="5" Class="Logic:DeMultiplexer" pos="15880,6360,0" flags="1">
   <Inputs Index="0" Mode="0"/>
  </Node>
  <Node Id="9" Class="String:SetString" pos="16060,6710,0" flags="1">
   <Inputs In="pathleader_row2_run_combat8"/>
  </Node>
  <Node Id="10" Class="AI:AIFollowPathSpeedStance" pos="16620,6360,0" flags="1" GraphEntity="0">
   <Inputs entityId="0" PathFindToStart="0" Reverse="0" StartNearest="0" Loops="-1" path_name="" run="2" stance="2"/>
  </Node>
  <Node Id="11" Class="String:SetString" pos="16060,6360,0" flags="1">
   <Inputs In="pathleader_row2_run_combat1"/>
  </Node>
  <Node Id="12" Class="String:SetString" pos="16060,6410,0" flags="1">
   <Inputs In="pathleader_row2_run_combat2"/>
  </Node>
  <Node Id="13" Class="String:SetString" pos="16060,6460,0" flags="1">
   <Inputs In="pathleader_row2_run_combat3"/>
  </Node>
  <Node Id="14" Class="String:SetString" pos="16060,6510,0" flags="1">
   <Inputs In="pathleader_row2_run_combat4"/>
  </Node>
  <Node Id="15" Class="String:SetString" pos="16060,6560,0" flags="1">
   <Inputs In="pathleader_row2_run_combat5"/>
  </Node>
  <Node Id="16" Class="String:SetString" pos="16060,6610,0" flags="1">
   <Inputs In="pathleader_row2_run_combat6"/>
  </Node>
  <Node Id="17" Class="String:SetString" pos="16060,6660,0" flags="1">
   <Inputs In="pathleader_row2_run_combat7"/>
  </Node>
  <Node Id="18" Class="Logic:Any" pos="16340,6360,0" flags="1">
   <Inputs />
  </Node>
  <Node Id="19" Class="Logic:Any" pos="16340,6470,0" flags="1">
   <Inputs />
  </Node>
  <Node Id="20" Class="Logic:Any" pos="16480,6360,0" flags="1" InHideMask="63" OutHideMask="1">
   <Inputs />
  </Node>
  <Node Id="22" Class="Math:Sub" pos="15730,6360,0" flags="1">
   <Inputs A="0" B="1"/>
  </Node>
  <Node Id="23" Name="ObjectId is input integer 1 to 8 to choose path. Use Math:Random node to input an integer into ObjectId port of AIExecute node" Class="_comment" pos="15980,6280,0" flags="1"/>
 </Nodes>
 <Edges>
  <Edge nodeIn="22" nodeOut="1" portIn="A" portOut="ObjectId" enabled="1"/>
  <Edge nodeIn="9" nodeOut="5" portIn="Set" portOut="Port7" enabled="1"/>
  <Edge nodeIn="11" nodeOut="5" portIn="Set" portOut="Port0" enabled="1"/>
  <Edge nodeIn="12" nodeOut="5" portIn="Set" portOut="Port1" enabled="1"/>
  <Edge nodeIn="13" nodeOut="5" portIn="Set" portOut="Port2" enabled="1"/>
  <Edge nodeIn="14" nodeOut="5" portIn="Set" portOut="Port3" enabled="1"/>
  <Edge nodeIn="15" nodeOut="5" portIn="Set" portOut="Port4" enabled="1"/>
  <Edge nodeIn="16" nodeOut="5" portIn="Set" portOut="Port5" enabled="1"/>
  <Edge nodeIn="17" nodeOut="5" portIn="Set" portOut="Port6" enabled="1"/>
  <Edge nodeIn="19" nodeOut="9" portIn="in4" portOut="Out" enabled="1"/>
  <Edge nodeIn="2" nodeOut="10" portIn="cancel" portOut="fail" enabled="1"/>
  <Edge nodeIn="2" nodeOut="10" portIn="end" portOut="succeed" enabled="1"/>
  <Edge nodeIn="18" nodeOut="11" portIn="in1" portOut="Out" enabled="1"/>
  <Edge nodeIn="18" nodeOut="12" portIn="in2" portOut="Out" enabled="1"/>
  <Edge nodeIn="18" nodeOut="13" portIn="in3" portOut="Out" enabled="1"/>
  <Edge nodeIn="18" nodeOut="14" portIn="in4" portOut="Out" enabled="1"/>
  <Edge nodeIn="19" nodeOut="15" portIn="in1" portOut="Out" enabled="1"/>
  <Edge nodeIn="19" nodeOut="16" portIn="in2" portOut="Out" enabled="1"/>
  <Edge nodeIn="19" nodeOut="17" portIn="in3" portOut="Out" enabled="1"/>
  <Edge nodeIn="20" nodeOut="18" portIn="in1" portOut="out" enabled="1"/>
  <Edge nodeIn="20" nodeOut="19" portIn="in2" portOut="out" enabled="1"/>
  <Edge nodeIn="4" nodeOut="20" portIn="sink" portOut="out" enabled="1"/>
  <Edge nodeIn="10" nodeOut="20" portIn="path_name" portOut="out" enabled="1"/>
  <Edge nodeIn="10" nodeOut="20" portIn="sink" portOut="out" enabled="1"/>
  <Edge nodeIn="5" nodeOut="22" portIn="Index" portOut="out" enabled="1"/>
 </Edges>
</Graph>
